Package org.apache.avro.generic

# Class PrimitivesArrays.PrimitiveArray<T>

java.lang.Object
java.util.AbstractCollection<T>
java.util.AbstractList<T>
org.apache.avro.generic.GenericData.AbstractArray<T>
org.apache.avro.generic.PrimitivesArrays.PrimitiveArray<T>

All Implemented Interfaces:
  `Comparable<GenericArray<T>>`, `Iterable<T>`, `Collection<T>`, `List<T>`, `GenericArray<T>`, `GenericContainer`

Direct Known Subclasses:
  `PrimitivesArrays.BooleanArray`, `PrimitivesArrays.DoubleArray`, `PrimitivesArrays.FloatArray`, `PrimitivesArrays.IntArray`, `PrimitivesArrays.LongArray`

Enclosing class:
  `PrimitivesArrays`

public abstract static class PrimitivesArrays.PrimitiveArray<T> extends GenericData.AbstractArray<T>

## Field Summary

### Fields inherited from class org.apache.avro.generic.GenericData.AbstractArray

`size`

### Fields inherited from class java.util.AbstractList

`modCount`

## Method Summary

Modifier and Type
Method
Description
`abstract Schema.Type`
`valueType()`

### Methods inherited from class org.apache.avro.generic.GenericData.AbstractArray

`compareTo, equals, getSchema, hashCode, iterator, reset, reverse, size, swap`

### Methods inherited from class java.util.AbstractList

`add, add, addAll, clear, get, indexOf, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.apache.avro.generic.GenericArray

`peek, prune`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, clear, contains, containsAll, get, indexOf, isEmpty, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, sort, spliterator, subList, toArray, toArray`

## Method Details

### valueType

public abstract Schema.Type valueType()